Subject: FW: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

From: "NAPIERALA, MARIA H" <[email-masked]>
Date: Tue, 23 Jul 2013 19:02:22 +0000

> Like to hear more the people opinions about: in SDN approach, will global ID and local ID are equally good (just mater choice) or one is better than other?

If one wants flexible network connectivity, using a global ID in a data plane is not the way to go. If there is any need to transition traffic from one global ID to another, it basically means that those IDs should be local in the first place.
This is independent of SDN.

Maria

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Lucy yong
Sent: Tuesday, July 23, 2013 12:28 PM
To: Luyuan Fang (lufang); Aldrin Isaac; Kireeti Kompella
Cc: L3VPN; Yakov Rekhter; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; UTTARO, JAMES
Subject: RE: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

In distributed control plane approach, we have strong consensus that local ID is the way to go.

Like to hear more the people opinions about: in SDN approach, will global ID and local ID are equally good (just mater choice) or one is better than other?

Lucy

From: Luyuan Fang (lufang) [mailto:[email-masked]]
Sent: Tuesday, July 23, 2013 11:06 AM
To: Lucy yong; Aldrin Isaac; Kireeti Kompella
Cc: L3VPN; Yakov Rekhter; [email-masked]<mailto:[email-masked]>; Xuxiaohu; [email-masked]<mailto:[email-masked]>; UTTARO, JAMES
Subject: Re: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

You choose the ID type: global or local.
You choose the control paradigm, SDN, dynamic control plane, or hybrid.

The two decisions are independent.

My personal preferences: SDN with local ID.

Luyuan

From: Lucy yong <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 23, 2013 11:58 AM
To: Luyuan Fang <[email-masked]<mailto:[email-masked]>>, Aldrin Isaac <[email-masked]<mailto:[email-masked]>>, Kireeti Kompella <[email-masked]<mailto:[email-masked]>>
Cc: L3VPN <[email-masked]<mailto:[email-masked]>>, Yakov Rekhter <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Xuxiaohu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "UTTARO, JAMES" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

As I see, using SDN approach or distributed control plane, and using global or local ID are two orthogonal questions.
[Lucy] then, the question to be asked is which usage makes sense in the SDN approach,  global ID or local ID? IMHO: they are related.

Lucy

> is distributed architecture better than centralized architecture for VPN or virtual network overlay?
No necessarily.

Luyuan
From: Lucy yong <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 23, 2013 11:14 AM
To: Aldrin Isaac <[email-masked]<mailto:[email-masked]>>, Kireeti Kompella <[email-masked]<mailto:[email-masked]>>
Cc: Luyuan Fang <[email-masked]<mailto:[email-masked]>>, L3VPN <[email-masked]<mailto:[email-masked]>>, Yakov Rekhter <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Xuxiaohu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "UTTARO, JAMES" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

For distributed based architecture, the local context ID has a lot of benefits. For centralized (or SDN) architecture, will the global context ID have advance?  Another way to ask this is: is distributed architecture better than centralized architecture for VPN or virtual network overlay?

Lucy

From:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Aldrin Isaac
Sent: Tuesday, July 23, 2013 8:00 AM
To: Kireeti Kompella
Cc: Luyuan Fang (lufang); L3VPN; Yakov Rekhter; [email-masked]<mailto:[email-masked]>; Xuxiaohu; [email-masked]<mailto:[email-masked]>; UTTARO, JAMES
Subject: Re: [nvo3] The possibility of using global MPLS labels as VNIs ... for l3vpn

+1.

Network operators lose flexibility with Global VNIDs. Virtual topology will be fine tuned on top of VNIDs by squeezing a square peg (ACLs) into a round hole (where it's otherwise not needed).  I think local context IDs will make a come back once we regain our sanity.  :).

On Tuesday, July 23, 2013, Kireeti Kompella wrote:
Hi Xuxiaohu,

Sorry for the previous empty email.

On Jul 23, 2013, at 4:51, Xuxiaohu <[email-masked]<javascript:;>> wrote:

> The reason that I started this discussion is to make sure whether the Virtual Network Context Identification contained in the data packet is REALLY required to be globally unique in some cases.

No. There's nothing useful that I know that one can do with global IDs in the data plane that one cannot do with local IDs, and local IDs are easier to allocate and manage. So, I'd be going the other way and advocate locally significant VNIDs for VXLAN and NVGRE, not global IDs for VPNs. (And I do)

Kireeti
_______________________________________________
nvo3 mailing list
[email-masked]<javascript:;>
https://www.ietf.org/mailman/listinfo/nvo3